Subject: Re: [PATCH] net: sched: print jiffies when transmit queue time out

From: Jakub Kicinski <[email-masked]>
Date: Wed, 19 Apr 2023 18:27:13 -0700

On Wed, 19 Apr 2023 19:56:32 +0800 Yajun Deng wrote:
> Although there is watchdog_timeo to let users know when the transmit queue
> begin stall, but dev_watchdog() is called with an interval. The jiffies
> will always be greater than watchdog_timeo.
> 
> To let users know the exact time the stall started, print jiffies when
> the transmit queue time out.

Please add an explanation of how this information is useful in practice.